列出所有應用程式備份
GET /accounts/{account_id}/topology/v1/appBackups
傳回集合中所有符合資源的 JSON 陣列。如果在請求中指定了個別欄位,則項目 JSON 陣列將按指定順序包含每個相符資源所請求的欄位。
參數
| Name | 類型 | 在 | 必要 | 說明 |
|---|---|---|---|---|
account_id |
字串 |
路徑 |
True |
包含帳戶資源的 ID
|
包括 |
字串 |
查詢 |
錯誤 |
指示列出集合時應傳回哪些欄位。 URL 範例:「include=id」、「include=id,name」 OpenAPI 範例:"id"
|
限制 |
字串 |
查詢 |
錯誤 |
表示列出集合時要傳回的資源數量上限。 URL 範例:「limit=2」 OpenAPI 範例:「2」 |
回應
Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
項目 |
array[任何: "appBackup_1.2_get_response_body"、array[]] |
True |
|
中繼資料 |
True |
範例回應
{
"type": "application/astra-appBackups",
"version": "1.2",
"items": [
[
"5cb608f9-571b-492e-a520-5bfb900a9b9c",
"app-name-245",
"pending"
],
[
"f8faa690-7e09-48a4-b33c-7965712acd0c",
"app-name-244",
"completed"
]
],
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
回應
Status: 401, Unauthorized
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例回應
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
回應
Status: 400, Bad request
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
|
invalidParams |
陣列["invalidParams"] |
錯誤 |
無效查詢參數清單 |
範例回應
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
回應
Status: 403, Forbidden
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例回應
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
回應
Status: 500, Internal server error
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例回應
{
"type": "https://astra.netapp.io/problems/96",
"title": "Backups not listed",
"detail": "The backups didn't list because of an internal server issue.",
"status": "500"
}
錯誤
Status: 404, Not found
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
|
狀態 |
字串 |
True |
|
correlationID |
字串 |
錯誤 |
範例錯誤回應
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
定義
請參閱定義
type_astra_stateDetail
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
|
標題 |
字串 |
True |
|
詳細資料 |
字串 |
True |
type_astra_label
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
姓名 |
字串 |
True |
|
值 |
字串 |
True |
type_astra_metadata
與資源相關聯的用戶端和服務指定中繼資料。定義的值為:
-
符合 Astra Metadata Schema。如果在建立時未指定、則會建立沒有標籤的中繼資料物件。
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
標籤 |
True |
||
建立時間戳記 |
字串 |
True |
|
修改時間戳記 |
字串 |
True |
|
建立者 |
字串 |
True |
|
modifiedBy |
字串 |
錯誤 |
appBackup_1.2_get_response_body
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
類型 |
字串 |
True |
資源的媒體類型。定義的值為:
|
版本 |
字串 |
True |
資源版本。定義的值為:
|
ID |
字串 |
True |
資源的全域唯一識別碼。定義的值為:
|
姓名 |
字串 |
True |
包含使用者指定的備份名稱的 JSON 字串。如果未指定,或備份由排程啟動時,系統會為備份指派名稱。定義的值為:
|
bucketID |
字串 |
True |
JSON 字串,包含選用的儲存貯體 ID,用於指示建立備份時備份檔案的儲存位置。如果未指定,則使用系統選擇的儲存貯體。如果沒有可用的儲存貯體,則在建立時將傳回錯誤。定義的值為:
|
snapshotID |
字串 |
錯誤 |
包含用於建立備份的快照的 JSON 字串。建立備份時,可以指定與被備份應用程式關聯的快照 ID。如果未指定,則會為備份建立一個新的快照。定義的值為:
|
scheduleID |
字串 |
錯誤 |
包含選用排程 ID 的 JSON 字串,用於指示備份是否由排程觸發以及觸發備份的排程是哪一個。僅在由排程啟動的備份中出現。定義的值為:
|
狀態 |
字串 |
True |
包含指示備份運作狀態的值的 JSON 字串。定義的值為:
|
stateUnready |
陣列[string] |
True |
包含多個 JSON 字串的 JSON 陣列,每個字串指示應用程式備份無法轉換為「運行中」狀態、轉換為「失敗」或「已移除」狀態的原因。定義的值為:
|
hookState |
字串 |
錯誤 |
JSON 字串,包含一個值,該值指示作為快照一部分執行的任何執行鉤子的狀態。定義的值為:
|
hookStateDetails |
錯誤 |
JSON 物件的 JSON 陣列,其中列出了有關「hookState」為何轉換為「failed」的其他詳細資訊。如果沒有可用的詳細資料,此陣列將為空白。
|
|
backupCreationTimestamp |
字串 |
錯誤 |
包含時間戳記的 JSON 字串,指示備份時間。定義的值為:
|
totalBytes |
數字 |
錯誤 |
JSON 數字,包含備份中的總位元組數。 |
bytesDone |
數字 |
錯誤 |
包含正在進行的備份已備份位元組數的 JSON 數字。備份完成後,該數字將與 totalBytes 欄位的值相符。 |
percentDone |
數字 |
錯誤 |
包含正在進行的備份完成百分比的 JSON 數字。備份完成後,該值將設定為 "100"。 |
中繼資料 |
True |
與資源相關聯的用戶端和服務指定中繼資料。定義的值為:
|
type_astra_metadata_list
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
繼續 |
字串 |
錯誤 |
|
數 |
數字 |
錯誤 |
|
標籤 |
錯誤 |
||
建立時間戳記 |
字串 |
錯誤 |
|
修改時間戳記 |
字串 |
錯誤 |
|
建立者 |
字串 |
錯誤 |
|
modifiedBy |
字串 |
錯誤 |
invalidParams
| Name | 類型 | 必要 | 說明 |
|---|---|---|---|
姓名 |
字串 |
True |
無效查詢參數的名稱 |
原因 |
字串 |
True |
查詢參數無效的原因 |